<?php

// Prevent script direct access
if (!defined('ABSPATH')) {
    exit;
}

// Admin notices
function wcmlru_admin_notices() {
    // Error Messages
    $errors = get_option('wcmlru_error_messages');
    if ($errors && count($errors)) {
        ?>
        <div class="notice notice-error">
            <p><b><?php _e('Errors', 'wcmlru') ?></b></p>
            <ul><li><?php echo implode('</li><li>', $errors) ?></li></ul>
        </div>
        <?php
    }
    // Warning Messages
    $warnings = get_option('wcmlru_warning_messages');
    if ($warnings && count($warnings)) {
        ?>
        <div class="notice notice-warning is-dismissible">
            <p><b><?php _e('Warnings', 'wcmlru') ?></b></p>
            <div><?php echo implode('</div><div>', $warnings) ?></div>
        </div>
        <?php
    }
}
add_action( 'admin_notices', 'wcmlru_admin_notices' );